/* Copyright 1997 Sun Microsystems, Inc.  All rights reserved. */

#ifndef v8v9compat_h_
#define v8v9compat_h_

#pragma ident "@(#)Shade and Spixtools V5.32C, V9 SPARC SunOS"


#if defined(IH_LD) && !defined(IH_LDUW)
#define IH_LDUW IH_LD
#endif

#if defined(IW_LD) && !defined(IW_LDUW)
#define IW_LDUW IW_LD
#endif

#if defined(I_OP3_LD) && !defined(I_OP3_LDUW)
#define I_OP3_LDUW I_OP3_LD
#endif

#if defined(IH_LDUW) && !defined(IH_LD)
#define IH_LD IH_LDUW
#endif

#if defined(IW_LDUW) && !defined(IW_LD)
#define IW_LD IW_LDUW
#endif

#if defined(I_OP3_LDUW) && !defined(I_OP3_LD)
#define I_OP3_LD I_OP3_LDUW
#endif

#if defined(IH_ST) && !defined(IH_STW)
#define IH_STW IH_ST
#endif

#if defined(IW_ST) && !defined(IW_STW)
#define IW_STW IW_ST
#endif

#if defined(I_OP3_ST) && !defined(I_OP3_STW)
#define I_OP3_STW I_OP3_ST
#endif

#if defined(IH_STW) && !defined(IH_ST)
#define IH_ST IH_STW
#endif

#if defined(IW_STW) && !defined(IW_ST)
#define IW_ST IW_STW
#endif

#if defined(I_OP3_STW) && !defined(I_OP3_ST)
#define I_OP3_ST I_OP3_STW
#endif

#if defined(IH_LDA) && !defined(IH_LDUWA)
#define IH_LDUWA IH_LDA
#endif

#if defined(IW_LDA) && !defined(IW_LDUWA)
#define IW_LDUWA IW_LDA
#endif

#if defined(I_OP3_LDA) && !defined(I_OP3_LDUWA)
#define I_OP3_LDUWA I_OP3_LDA
#endif

#if defined(IH_LDUWA) && !defined(IH_LDA)
#define IH_LDA IH_LDUWA
#endif

#if defined(IW_LDUWA) && !defined(IW_LDA)
#define IW_LDA IW_LDUWA
#endif

#if defined(I_OP3_LDUWA) && !defined(I_OP3_LDA)
#define I_OP3_LDA I_OP3_LDUWA
#endif

#if defined(IH_STA) && !defined(IH_STWA)
#define IH_STWA IH_STA
#endif

#if defined(IW_STA) && !defined(IW_STWA)
#define IW_STWA IW_STA
#endif

#if defined(I_OP3_STA) && !defined(I_OP3_STWA)
#define I_OP3_STWA I_OP3_STA
#endif

#if defined(IH_STWA) && !defined(IH_STA)
#define IH_STA IH_STWA
#endif

#if defined(IW_STWA) && !defined(IW_STA)
#define IW_STA IW_STWA
#endif

#if defined(I_OP3_STWA) && !defined(I_OP3_STA)
#define I_OP3_STA I_OP3_STWA
#endif

#if defined(IH_ADDX) && !defined(IH_ADDC)
#define IH_ADDC IH_ADDX
#endif

#if defined(IW_ADDX) && !defined(IW_ADDC)
#define IW_ADDC IW_ADDX
#endif

#if defined(I_OP3_ADDX) && !defined(I_OP3_ADDC)
#define I_OP3_ADDC I_OP3_ADDX
#endif

#if defined(IH_ADDC) && !defined(IH_ADDX)
#define IH_ADDX IH_ADDC
#endif

#if defined(IW_ADDC) && !defined(IW_ADDX)
#define IW_ADDX IW_ADDC
#endif

#if defined(I_OP3_ADDC) && !defined(I_OP3_ADDX)
#define I_OP3_ADDX I_OP3_ADDC
#endif

#if defined(IH_ADDXCC) && !defined(IH_ADDCCC)
#define IH_ADDCCC IH_ADDXCC
#endif

#if defined(IW_ADDXCC) && !defined(IW_ADDCCC)
#define IW_ADDCCC IW_ADDXCC
#endif

#if defined(I_OP3_ADDXCC) && !defined(I_OP3_ADDCCC)
#define I_OP3_ADDCCC I_OP3_ADDXCC
#endif

#if defined(IH_ADDCCC) && !defined(IH_ADDXCC)
#define IH_ADDXCC IH_ADDCCC
#endif

#if defined(IW_ADDCCC) && !defined(IW_ADDXCC)
#define IW_ADDXCC IW_ADDCCC
#endif

#if defined(I_OP3_ADDCCC) && !defined(I_OP3_ADDXCC)
#define I_OP3_ADDXCC I_OP3_ADDCCC
#endif

#if defined(IH_SUBX) && !defined(IH_SUBC)
#define IH_SUBC IH_SUBX
#endif

#if defined(IW_SUBX) && !defined(IW_SUBC)
#define IW_SUBC IW_SUBX
#endif

#if defined(I_OP3_SUBX) && !defined(I_OP3_SUBC)
#define I_OP3_SUBC I_OP3_SUBX
#endif

#if defined(IH_SUBC) && !defined(IH_SUBX)
#define IH_SUBX IH_SUBC
#endif

#if defined(IW_SUBC) && !defined(IW_SUBX)
#define IW_SUBX IW_SUBC
#endif

#if defined(I_OP3_SUBC) && !defined(I_OP3_SUBX)
#define I_OP3_SUBX I_OP3_SUBC
#endif

#if defined(IH_SUBXCC) && !defined(IH_SUBCCC)
#define IH_SUBCCC IH_SUBXCC
#endif

#if defined(IW_SUBXCC) && !defined(IW_SUBCCC)
#define IW_SUBCCC IW_SUBXCC
#endif

#if defined(I_OP3_SUBXCC) && !defined(I_OP3_SUBCCC)
#define I_OP3_SUBCCC I_OP3_SUBXCC
#endif

#if defined(IH_SUBCCC) && !defined(IH_SUBXCC)
#define IH_SUBXCC IH_SUBCCC
#endif

#if defined(IW_SUBCCC) && !defined(IW_SUBXCC)
#define IW_SUBXCC IW_SUBCCC
#endif

#if defined(I_OP3_SUBCCC) && !defined(I_OP3_SUBXCC)
#define I_OP3_SUBXCC I_OP3_SUBCCC
#endif

#if defined(IH_CPOP1) && !defined(IH_IMPDEP1)
#define IH_IMPDEP1 IH_CPOP1
#endif

#if defined(IW_CPOP1) && !defined(IW_IMPDEP1)
#define IW_IMPDEP1 IW_CPOP1
#endif

#if defined(I_OP3_CPOP1) && !defined(I_OP3_IMPDEP1)
#define I_OP3_IMPDEP1 I_OP3_CPOP1
#endif

#if defined(IH_IMPDEP1) && !defined(IH_CPOP1)
#define IH_CPOP1 IH_IMPDEP1
#endif

#if defined(IW_IMPDEP1) && !defined(IW_CPOP1)
#define IW_CPOP1 IW_IMPDEP1
#endif

#if defined(I_OP3_IMPDEP1) && !defined(I_OP3_CPOP1)
#define I_OP3_CPOP1 I_OP3_IMPDEP1
#endif

#if defined(IH_CPOP2) && !defined(IH_IMPDEP2)
#define IH_IMPDEP2 IH_CPOP2
#endif

#if defined(IW_CPOP2) && !defined(IW_IMPDEP2)
#define IW_IMPDEP2 IW_CPOP2
#endif

#if defined(I_OP3_CPOP2) && !defined(I_OP3_IMPDEP2)
#define I_OP3_IMPDEP2 I_OP3_CPOP2
#endif

#if defined(IH_IMPDEP2) && !defined(IH_CPOP2)
#define IH_CPOP2 IH_IMPDEP2
#endif

#if defined(IW_IMPDEP2) && !defined(IW_CPOP2)
#define IW_CPOP2 IW_IMPDEP2
#endif

#if defined(I_OP3_IMPDEP2) && !defined(I_OP3_CPOP2)
#define I_OP3_CPOP2 I_OP3_IMPDEP2
#endif

#if defined(IH_UNIMP) && !defined(IH_ILLTRAP)
#define IH_ILLTRAP IH_UNIMP
#endif

#if defined(IW_UNIMP) && !defined(IW_ILLTRAP)
#define IW_ILLTRAP IW_UNIMP
#endif

#if defined(I_OP2_UNIMP) && !defined(I_OP2_ILLTRAP)
#define I_OP2_ILLTRAP I_OP2_UNIMP
#endif

#if defined(IH_ILLTRAP) && !defined(IH_UNIMP)
#define IH_UNIMP IH_ILLTRAP
#endif

#if defined(IW_ILLTRAP) && !defined(IW_UNIMP)
#define IW_UNIMP IW_ILLTRAP
#endif

#if defined(I_OP2_ILLTRAP) && !defined(I_OP2_UNIMP)
#define I_OP2_UNIMP I_OP2_ILLTRAP
#endif

/*
 * op3="IH IW I_OP3"
 * op2="IH IW I_OP2"
 * (echo LD  LDUW  $op3
 *  echo ST  STW  $op3
 *  echo LDA LDUWA $op3
 *  echo STA STWA $op3
 *  echo ADDX ADDC $op3
 *  echo ADDXCC ADDCCC $op3
 *  echo SUBX SUBC $op3
 *  echo SUBXCC SUBCCC $op3
 *  echo CPOP1 IMPDEP1 $op3
 *  echo CPOP2 IMPDEP2 $op3
 *  echo UNIMP ILLTRAP $op2) |
 * awk '{ print $0; x=$1;$1=$2;$2=x; print $0 }' |
 * awk '{
 * 	for (i = 3; i <= NF; i++) {
 * 		d1 = $i "_" $1;
 * 		d2 = $i "_" $2;
 * 		printf "#if defined(%s) && !defined(%s)\n", d1, d2;
 * 		printf "#define %s %s\n", d2, d1;
 * 		printf "#endif\n\n"
 * 	}
 * }'
 */


#endif /*v8v9compat_h_*/
