#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/openmenu.h>

extern	int	HOW_MANY;
extern	Panel_item	ParamChoices, ChooseMoreParams;

void
Choose_More_Parameters()
{
   	Frame	frame;
	Panel 	panel;
   	Menu	menu;
   	void	choose_quit(); 
   	int		numeric_text();
   	int		choice_selected(), toggle_choice_selected();

	/*
	xv_set(ParamChoices, PANEL_INACTIVE, TRUE, NULL);
	*/

	frame = xv_create(XV_NULL, FRAME,
			FRAME_LABEL,		"Choices",
			XV_WIDTH,		450,
			XV_HEIGHT,		150,
			FRAME_SHOW_FOOTER,	TRUE,
		NULL);

    	panel = xv_create(frame, PANEL, NULL);

    	xv_set(canvas_paint_window(panel), NULL);

    	(Panel_item)xv_create(panel, PANEL_BUTTON,
			PANEL_LABEL_STRING,     "Ok",
			PANEL_NOTIFY_PROC,      choose_quit,
			PANEL_CLIENT_DATA,	frame,
		NULL);

    	(Panel_item)xv_create(panel, PANEL_CHOICE,
			PANEL_LABEL_STRING,     "number of Executions",
			PANEL_CHOICE_STRINGS,	"One", "Two", "Three", "Four","Five",NULL,
			PANEL_NOTIFY_PROC,      choice_selected,
			PANEL_CLIENT_DATA,	frame,
		NULL);

/*
	(Panel_item)xv_create(panel, PANEL_CHOICE,
			PANEL_CHOOSE_ONE,	FALSE,
			PANEL_LABEL_STRING,     "Choices",
			PANEL_VALUE,		5,
			PANEL_CHOICE_STRINGS,	"One", "Two", "Three", "Four", NULL,
			PANEL_NOTIFY_PROC,      toggle_choice_selected,
			PANEL_CLIENT_DATA,	frame,
		NULL);

    	(Panel_item)xv_create(panel, PANEL_TOGGLE,
			PANEL_FEEDBACK,		PANEL_MARKED,
			PANEL_LABEL_STRING,     "Choices",
			PANEL_VALUE,		5,
			PANEL_CHOICE_STRINGS,	"One", "Two", "Three", "Four", NULL,
			PANEL_NOTIFY_PROC,      toggle_choice_selected,
			PANEL_CLIENT_DATA,	frame,
		NULL);

    	(Panel_item)xv_create(panel, PANEL_NUMERIC_TEXT,
			PANEL_LABEL_STRING,	"Numbers:",
			PANEL_VALUE,		1,
			PANEL_MAX_VALUE,	10,
			PANEL_MIN_VALUE,	1,
			PANEL_NOTIFY_PROC,	numeric_text,
			PANEL_CLIENT_DATA,	frame,
		NULL);
*/

	window_fit(frame);
    	xv_main_loop(frame);
}

int
toggle_choice_selected(item, value, event)
Panel_item 	item;
unsigned 	value;
Event 		*event;
{
    	char 	buf[32];
    	Frame 	frame = xv_get(item, PANEL_CLIENT_DATA);
    	int 	i;

    	buf[0] = 0;
    if (event_id(event) == MS_LEFT) 
	{
		for (i = 0; value; i++, value >>= 1)
	    		if (value & 1)
				sprintf(buf+strlen(buf), "%s%c ",
		    			xv_get(item, PANEL_CHOICE_STRING, i),
		    			(value >> 1)? ',' : ' ');
		xv_set(frame, FRAME_RIGHT_FOOTER, buf, NULL);
		return XV_OK;
    }
    return XV_ERROR;
}

int
choice_selected(item, value, event)
Panel_item 	item;
int 		value;
Event 		*event;
{
	char 	buf[32];
	char	temp[32];

    	Frame 	frame = xv_get(item, PANEL_CLIENT_DATA);
    	if (event_id(event) == MS_LEFT) 
	{
		sprintf(buf, "\"%s\" choice_selected",
	    		xv_get(item, PANEL_CHOICE_STRING, panel_get_value(item)));
		sprintf(temp,"%s",xv_get(item, PANEL_CHOICE_STRING, panel_get_value(item)));

		fprintf(stderr,"You have choosen %s \n",temp);

		xv_set(frame, FRAME_RIGHT_FOOTER, buf, NULL);
		
		if (!strcmp(temp,"One"))
			HOW_MANY = 0;
		else
		if (!strcmp(temp,"Two"))
			HOW_MANY = 1;
		else
		if (!strcmp(temp,"Three"))
			HOW_MANY = 2;
		else
		if (!strcmp(temp,"Four"))
			HOW_MANY = 3;
		else
		if (!strcmp(temp,"Five"))
			HOW_MANY = 4;
	/*
		else
		if (!strcmp(temp,"Six"))
			HOW_MANY = 5;
	*/	
		return XV_OK;
    	}
    	return XV_ERROR;
}


numeric_text(item, event)
Panel_item 	item;
Event 		*event;
{
	char 	buf[32];

	Frame 	frame = xv_get(item, PANEL_CLIENT_DATA);


    	sprintf(buf, "\"%s\" set to %d",
       		(char *)xv_get(item, PANEL_LABEL_STRING), (int)xv_get(item, PANEL_VALUE));
    	xv_set(frame, FRAME_RIGHT_FOOTER, buf, NULL);
    	return PANEL_NEXT;
}

void
choose_quit(item, event)
Panel_item 	item;
Event 		*event;
{
	Frame frame = xv_get(item, PANEL_CLIENT_DATA);
	/*
	xv_set(ChooseMoreParams, PANEL_INACTIVE, FALSE, NULL);
	*/
    	if (event_id(event) == MS_LEFT)
		xv_destroy_safe(frame);
}
