#include <sys/time.h>
#include <sys/resource.h>

#define TVTIME(tv)	((tv).tv_sec + (tv).tv_usec / 1e6)


void
getcputime (usr, sys)
	double	*usr, *sys;
{
	struct rusage	ru;

	if (-1 == getrusage (RUSAGE_SELF, &ru))
		*usr = *sys = 0.0;
	else {
		*usr = TVTIME (ru.ru_utime) - *usr;
		*sys = TVTIME (ru.ru_stime) - *sys;
	}
}
