/* Copyright 1997 Sun Microsystems, Inc.  All rights reserved. */

#ifndef stdtr_h_
#define stdtr_h_

#pragma ident "@(#)Shade and Spixtools V5.32C, V9 SPARC SunOS"


#ifndef NTRBUF		/* let user #define */
#define NTRBUF	5120
#endif


static union {
	Trace	trbuf[NTRBUF];
	double	align;
} shade_trun;

#define shade_trbuf	shade_trun.trbuf


static Trace	*shade_trbuf_cur, 
		*shade_trbuf_lim;


#define shade_step()	(shade_trbuf_cur < shade_trbuf_lim ? \
			shade_trbuf_cur++ : (shade_trbuf_lim = shade_trbuf + \
	                shade_run (shade_trbuf_cur = shade_trbuf, NTRBUF)) > \
		        shade_trbuf ? shade_trbuf_cur++ : (Trace *) 0)


#ifdef __STDC__
extern int	shade_run(Trace *, int);
#else
extern int	shade_run();
#endif

#endif	/* #ifndef stdtr_h_ */
