#include <stdio.h>
#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/tty.h>
#include <stdlib.h>
#include <fcntl.h>

#ifndef S_IWUSR
#include <sys/stat.h>
#endif

void	quit_execution();
/*static char *my_argv[] = { "./Interf",NULL };*/
static char *my_argv[] = { "Interf", NULL };


Frame 	frame, Init_frame;

void	start_b();

tty_execute()
{
  Tty tty;
  Panel panel;

  xv_set(Init_frame, XV_SHOW, FALSE, NULL);

  frame = (Frame)xv_create(NULL, FRAME, 
				FRAME_LABEL,	"Initialization",
				XV_WIDTH,	500,
				XV_HEIGHT,	300,
				XV_X,		0,
				XV_Y,		0,
			NULL);

  panel = (Panel)xv_create(frame,PANEL, 
				XV_WIDTH,	500,
				XV_HEIGHT,	 50,
				XV_X,		  0,
				XV_Y,		  0,
			NULL);

  (Panel_item)xv_create(panel,PANEL_BUTTON,
				PANEL_LABEL_STRING,	"Restart / Quit",
				PANEL_NOTIFY_PROC,	quit_execution,
				XV_X,		200,
				XV_Y,		 10,
			NULL);

  tty = (Tty)xv_create(frame, TTY,
		/*
        		WIN_ROWS,       30,
        		WIN_COLUMNS,    60,
		*/
			XV_WIDTH,	500,
			XV_HEIGHT,	250,
        	TTY_ARGV,       my_argv,
			XV_X,		0,
			XV_Y, 50,
        	NULL);

	xv_set(Init_frame, XV_SHOW, FALSE, NULL);

	xv_main_loop(frame);
}

void restart() {
	quit_execution();
	start_b();
}
	
void quit_execution() {
	int	fp;

	if (fp=open("/tmp/semaphore",O_CREAT+O_EXCL,S_IWUSR|S_IWGRP|S_IWOTH)<0)
		return;
	close(fp);
	unlink("/tmp/semaphore");

	xv_set(Init_frame, XV_SHOW, TRUE, NULL);
	xv_destroy_safe(frame);
}

void
init_quit()
{
	xv_destroy_safe(Init_frame);
	exit(0);
}

Tty tty;

void
start_b()
{

	Tty	tty;
	tty = (Tty)xv_create(Init_frame, TTY,
			XV_WIDTH,	500,
			XV_HEIGHT,	200,
        	TTY_ARGV,       my_argv,
			XV_X,		0,
			XV_Y, 100,
   	NULL);
}

main(){
  Frame frame;
  Panel panel;

  Init_frame = (Frame)xv_create(NULL,FRAME,
				FRAME_LABEL,	"M e m S p y e r",
				XV_WIDTH,		400,
				XV_HEIGHT,		100,
				XV_X,		0,
				XV_Y,		0,
	                      NULL);

  panel = (Panel)xv_create(Init_frame, PANEL,
				XV_WIDTH,		400,
				XV_HEIGHT,		30,
				XV_X,			0,
				XV_Y,			0,
		                      NULL);

  (Panel_item)xv_create(panel, PANEL_BUTTON,
            PANEL_LABEL_STRING, "Start",
            PANEL_NOTIFY_PROC,  tty_execute,
			XV_X,				150,
        NULL);

  (Canvas)xv_create(Init_frame, CANVAS,
			XV_X,	0,
			XV_Y,		30,
			XV_WIDTH,	400,
			XV_HEIGHT,	 70,
	NULL);
/*
	tty = (Tty)xv_create(Init_frame, TTY,
			XV_WIDTH,	500,
			XV_HEIGHT,	200,
        	TTY_ARGV,       NULL,
			XV_X,		NULL,
			XV_Y, 100,
        	NULL);
*/

  (Panel_item)xv_create(panel, PANEL_BUTTON,
            PANEL_LABEL_STRING, "Quit",
            PANEL_NOTIFY_PROC,  init_quit,
			XV_X,				300,
        NULL);

	window_fit(Init_frame);
	xv_main_loop(Init_frame);
}
