#include <signal.h>
#include <fcntl.h>
#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/tty.h>

void	Quit_exec();
void	mesg_not_creation();

extern	void	Dismiss_mem_system();

extern	char	COMMAND_OPTIONS[40];
/*char  *my_argv[] = { "../shade/cachesim5/cachesim5",NULL };*/
char  *my_argv[] = { "cachesim5",NULL };

int				BECAME_THE_TTY = 0;
extern	int		SHADE_PID;
extern	Frame	Initial;

extern	int		EXEC_INTERF_START_OK;
extern	Frame	Pframe, Slider_frame;

extern	Panel_item	Parallel_Exec;

Frame 	frame;

tty_execute_cachesim5()
{
	Tty tty;
	Panel panel;
    int pid = -1;

	frame = (Frame)xv_create(NULL, FRAME, 
				FRAME_LABEL,	"Cache Simulation Execution",
				XV_WIDTH,	500,
				XV_HEIGHT,	430,
				XV_X,		500,
				XV_Y,		310,
			NULL);

	panel = (Panel)xv_create(frame,PANEL, 
				XV_WIDTH,	500,
				XV_HEIGHT,	 30,
				XV_X,		  0,
				XV_Y,		  0,
			NULL);

	(Panel_item)xv_create(panel,PANEL_BUTTON,
				PANEL_LABEL_STRING,	"Close Communication",
				PANEL_NOTIFY_PROC,	Quit_exec,
			NULL);

	tty = (Tty)xv_create(frame, TTY,
			XV_WIDTH,	500,
			XV_HEIGHT,	400,
        	TTY_ARGV,	my_argv,
			XV_X,		0,
			XV_Y, 30,
        NULL);

	BECAME_THE_TTY = 1;
/************************* danalis code start *******************/
/* if we get the pid of cachesim, then the forked proccess */
/* ( cachesim ) is already running so we can sleep for a   */
/* while but the sleeping will be done by the routine that */
/* called us i.e. start_simulation()                       */

    pid = (int)xv_get(tty, TTY_PID);

/************************* danalis code end *********************/
	xv_main_loop(frame);
}

extern	int	s_id;
extern  void drop_connection();

void
Quit_exec()
{
	int	fp;

	if (fp=open("/tmp/semaphore",O_CREAT+O_EXCL)<0)
		return;
	close(fp);
	unlink("/tmp/semaphore");

	drop_connection(s_id);
	if (!SHADE_PID)
		fprintf(stderr,"SHADE_PID is zero !\n");

	if (SHADE_PID)
	{
		int	answer;

		answer = kill(SHADE_PID, SIGKILL);
		if (!answer)
		{
			fprintf(stderr,"Ok, the shade process with pid %d has been killed \n",SHADE_PID);
			SHADE_PID = 0;
		}
		else
		{
			fprintf(stderr,"... The shade process didn't kill .... \n");
			fprintf(stderr,"pid is %d \n", SHADE_PID);
		}
	}
	
	if (EXEC_INTERF_START_OK)
	{
		xv_destroy_safe(Pframe);
		xv_destroy_safe(Slider_frame);
	}
	
	xv_destroy_safe(frame);
}

void
mesg_not_creation()
{
	Frame	frame;
	Panel 	panel;

	frame = (Frame)xv_create(NULL, FRAME, 
				FRAME_LABEL,	"Cache Simulation Execution",
				XV_WIDTH,	500,
				XV_HEIGHT,	430,
				XV_X,		500,
				XV_Y,		310,
			NULL);

	panel = (Panel)xv_create(frame,PANEL, 
				XV_WIDTH,	500,
				XV_HEIGHT,	 30,
				XV_X,		  0,
				XV_Y,		  0,
			NULL);

	xv_main_loop(frame);
}
